//+------------------------------------------------------------------+
//|                                                  Mn TimeLine.mq4 |
//+------------------------------------------------------------------+
#property copyright "Mn"
#property link      ""

#property indicator_chart_window
extern color mCol = LightSlateGray;
extern int mStyle = 2, mWidth = 0,
           mH1 = 15,  mM1 = 0,
           mH2 = 0,  mM2 = 0,
           mH3 = 0,  mM3 = 0,
           mH4 = 0,  mM4 = 0,
           mH5 = 0,  mM5 = 0,
           mH6 = 0,  mM6 = 0,
           mH7 = 0,  mM7 = 0,
           mH8 = 0,  mM8 = 0,
           mH9 = 0,  mM9 = 0,
           mH10 = 0,  mM10 = 0;

int mTimes[10];
int mTimeBar; 

//+------------------------------------------------------------------+
int init()
  {
 
    return(0);
  }
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectsDeleteAll(0, 0);    //Delete V Lines
   
   return(0);
  }
//+------------------------------------------------------------------+
int start()
  {
   if(iTime(NULL, 1440, 0) > mTimeBar)
    {
      int mDay  = iTime(NULL, 1440, 0);
      mTimes[0] = mH1 * 3600 + mM1 * 60 + mDay; 
      mTimes[1] = mH2 * 3600 + mM2 * 60 + mDay;  
      mTimes[2] = mH3 * 3600 + mM3 * 60 + mDay;  
      mTimes[3] = mH4 * 3600 + mM4 * 60 + mDay;  
      mTimes[4] = mH5 * 3600 + mM5 * 60 + mDay;  
      mTimes[5] = mH6 * 3600 + mM6 * 60 + mDay;  
      mTimes[6] = mH7 * 3600 + mM7 * 60 + mDay;  
      mTimes[7] = mH8 * 3600 + mM8 * 60 + mDay; 
      mTimes[8] = mH9 * 3600 + mM9 * 60 + mDay;  
      mTimes[9] = mH10 * 3600 + mM10 * 60 + mDay;  
      
       for(int j = 0; j < ArraySize(mTimes); j++)
         {
              if(ObjectFind("mVL"+ mTimes[j]) == -1)
                ObjectCreate("mVL"+ mTimes[j], OBJ_VLINE, 0, 0, 0, 0, 0);
              ObjectSet("mVL"+ mTimes[j], OBJPROP_TIME1 , mTimes[j]);
              ObjectSet("mVL"+ mTimes[j], OBJPROP_COLOR , mCol);
              ObjectSet("mVL"+ mTimes[j], OBJPROP_STYLE , mStyle);
              ObjectSet("mVL"+ mTimes[j], OBJPROP_WIDTH, mWidth);
              ObjectSet("mVL"+ mTimes[j], OBJPROP_BACK, true);
         }
      mTimeBar = iTime(NULL, 1440, 0);
    }
    
   return(0);
  }
//+------------------------------------------------------------------+